Page MenuHomePhabricator

Cognate incorrectly links to normalized title instead of actual title
Closed, ResolvedPublic

Description

The page http://dewiktionary-cognate.wmflabs.org/index.php/Foo... contains an automatic interwiki to http://enwiktionary-cognate.wmflabs.org/index.php/Foo... despite the latter not existing.

(Also problematic is that the non-existent page appears to have two identical links back to the German test wiki page.)

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2016, 3:47 PM

It looks like this is due to a bug in the links returned.
Instead of the actual title being used for the link the title of the current page is being used.
Due to the normalization this is not the correct thing to be using!

Addshore claimed this task.Nov 10 2016, 4:02 PM
Addshore triaged this task as Normal priority.
Addshore moved this task from Proposed to Todo on the WMDE-QWERTY-Team board.
Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.
Addshore moved this task from Todo to Sprint ready on the WMDE-QWERTY-Team board.Nov 10 2016, 6:46 PM
Addshore moved this task from Sprint ready to Currently in sprint on the WMDE-QWERTY-Team board.
Addshore moved this task from Next to Active 🚁 on the User-Addshore board.

Change 320743 had a related patch set uploaded (by Addshore):
New schema & normalizationg keys

https://gerrit.wikimedia.org/r/320743

Change 320743 merged by jenkins-bot:
New schema & normalizing keys

https://gerrit.wikimedia.org/r/320743

Addshore closed this task as Resolved.Dec 11 2016, 3:58 PM
Addshore moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Meno25 removed a subscriber: Meno25.Dec 12 2016, 10:20 AM
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Dec 13 2016, 1:09 PM